GET api/medistreamprogramapi/program/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| active | boolean |
Required |
|
| duration | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"medistream_id": "85a0bb68-e320-4171-a874-d6c12cbbce60",
"id": "486e6e00-0772-443f-8726-f69c4aca7a34",
"local_id": 1,
"name": "sample string 3",
"active": true,
"duration": 1
}
application/xml, text/xml
Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>486e6e00-0772-443f-8726-f69c4aca7a34</id> <local_id>1</local_id> <medistream_id>85a0bb68-e320-4171-a874-d6c12cbbce60</medistream_id> <name>sample string 3</name> </medistream_program>